Loading...
Searching...
No Matches
ArrowGeometry Class Reference

The ArrowGeometry class is used to store sets of line strips. More...

`#include <arrowgeometry.h>`

Inheritance diagram for ArrowGeometry:

## Classes

struct | Arrow

## Public Member Functions

| ArrowGeometry (const ArrowGeometry &other)
ArrowGeometry & | operator= (ArrowGeometry)
void | accept (Visitor &) override
void | render (const Camera &camera) override
| Render the arrows.
void | clear () override
void | addSingleArrow (const Vector3f &pos1, const Vector3f &pos2, const Vector3ub &color)
void | addSingleArrow (const Vector3f &pos1, const Vector3f &pos2)
const Core::Array< Arrow > & | arrows () const
void | setColor (const Vector3ub &c)
void | setRadiusScale (float scale)
float | radiusScale () const
Public Member Functions inherited from Drawable
| Drawable (const Drawable &other)
Drawable & | operator= (Drawable)
const GeometryNode * | parent () const
| Get a pointer to the drawable object's parent.
GeometryNode * | parent ()
void | setVisible (bool visibility)
| Set the visibility of the drawable object.
bool | isVisible () const
| Get the current visibility of the drawable.
Identifier & | identifier ()
const Identifier & | identifier () const
virtual std::multimap< float, Identifier > | hits (const Vector3f &rayOrigin, const Vector3f &rayEnd, const Vector3f &rayDirection) const
virtual Core::Array< Identifier > | areaHits (const Frustrum &f) const
void | setRenderPass (RenderPass pass)
RenderPass | renderPass () const

## Static Public Attributes

static const size_t | InvalidIndex

## Additional Inherited Members

Protected Member Functions inherited from Drawable
void | setParent (GeometryNode *parent)
| Set the parent node for the node.
Protected Attributes inherited from Drawable
GeometryNode * | m_parent
bool | m_visible
RenderPass | m_renderPass
Identifier | m_identifier

## Detailed Description

<avogadro/rendering/arrowgeometry.h>

## Member Function Documentation

## accept()

void accept | ( | Visitor & |  | ) |

override virtual

Accept a visit from our friendly visitor.

Reimplemented from Drawable.

## render()

void render | ( | const Camera & | camera | ) |

override virtual

Parameters

  camera | The current camera to be used for rendering.

Reimplemented from Drawable.

## clear()

void clear | ( |  | ) |

override virtual

Clear the contents of the node.

Reimplemented from Drawable.

## addSingleArrow() [1/2]

void addSingleArrow | ( | const Vector3f & | pos1,
|  | const Vector3f & | pos2,
|  | const Vector3ub & | color )

Add a single arrow object with a specific color.

Parameters

  pos1 | The start coordinate of the arrow.
  pos2 | The end coordinate of the arrow.
  color | The color of this arrow.

## addSingleArrow() [2/2]

void addSingleArrow | ( | const Vector3f & | pos1,
|  | const Vector3f & | pos2 )

Add a single arrow object using the default color.

Parameters

  pos1 | The start coordinate of the arrow.
  pos2 | The end coordinate of the arrow.

## arrows()

const Core::Array< Arrow > & arrows | ( |  | ) | const

The arrow array.

## setColor()

void setColor | ( | const Vector3ub & | c | ) |

Set the default color for arrows added without explicit color.

## setRadiusScale()

void setRadiusScale | ( | float | scale | ) |

Set a scale factor for arrow radii (default 1.0).

## radiusScale()

float radiusScale | ( |  | ) | const

Get the current radius scale factor.

The documentation for this class was generated from the following file:

- arrowgeometry.h